---
search:
  tags:
    - Shops
    - GET
seo:
  description: >-
    Returns shops belonging to the authenticated account. Reference for the GET
    /shops endpoint in the Bolder API v2.
sidebar:
  label: List shops
  badge: GET
title: List shops
type: openapi-operation
---
Returns shops belonging to the authenticated account.

`GET /shops`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops"
```

**Responses**

- `200` — Paginated list of shops

Response example, 200:

```json
{
  "_class": [
    "results",
    "shops"
  ],
  "total_items": 1,
  "per_page": 20,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 1,
        "name": "My Store",
        "subdomain": "mystore",
        "url": "https://mystore.onbolder.com",
        "status": "active",
        "currency": "USD",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/shops/1"
          }
        }
      }
    ]
  }
}
```
